Class | Bio::TMHMM::TMH
In: | lib/bio/appl/tmhmm/report.rb
Parent: | Object

# Container class of the trainsmembrane helix(TMH) and the other

      segments.

### Methods

new to_s

### External Aliases

range | -> | pos

### Attributes

entry_id | [RW] | Returns
range | [RW] | Returns an Range of TMH position.
status | [RW] | Returns the status of the TMH. ("outside", "TMhelix" or "inside").
version | [RW] | Returns

### Public Class methods

new(entry_id = nil, version = nil, status = nil, range = nil)

[Source]

         # File lib/bio/appl/tmhmm/report.rb, line 178
    178:       def initialize(entry_id = nil, version = nil, status = nil, range = nil)
    179:         @entry_id = entry_id
    180:         @version  = version
    181:         @status   = status
    182:         @range    = range
    183:       end

### Public Instance methods

to_s()

[Source]

         # File lib/bio/appl/tmhmm/report.rb, line 186
    186:       def to_s
    187:         [@entry_id, @version, @status, @range.first, @range.last].join("\t")
    188:       end

[Validate]